%define sover 15

Summary: Printing libraries for GNOME.
Name: gnome-print
Version: 0.37
Release: 13
Epoch: 1
License: LGPL
Group: System Environment/Base
Source:  ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
Source2: hack-macros.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

PreReq:	gnome-libs
PreReq:	urw-fonts
PreReq:	ghostscript
PreReq:	ghostscript-fonts
PreReq:	libxml
PreReq: perl
PreReq: libgnomeprint%{sover} = %{epoch}:%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Requires(post): /usr/bin/redhat-update-gnome-font-install

BuildPrereq: gdk-pixbuf-devel >= 0.11.0.90-2
BuildPrereq: libxml-devel >= 1.8.8 
BuildPrereq: automake14
BuildRequires: autoconf
BuildRequires: freetype-devel

# Bug fix patches
# Make gnome-font-install handle mangled options more cleanly
## upstream now
Patch: gnome-print-0.30-options.patch
# compile with new gdk-pixbuf
# not required upstream anymore
Patch1: gnome-print-0.30-pixbufflags.patch
# don't create fontmaps in make install
Patch2: gnome-print-0.30-nofontmaps.patch
# hack to undef VERSION in file where it's used as an enum value
Patch3: gnome-print-0.34.90-version.patch
# improve a performance for printing
Patch4: gnome-print-0.37-perfprint.patch
# fallback font for Korean
Patch5: gnome-print-0.35-kofont.patch
Patch6: gnome-print-0.37-nodupmakefile.patch
Patch7: gnome-print-0.37-freetypeh.patch

%description 
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print package contains
libraries and fonts needed by GNOME applications for printing.

You should install the gnome-print package if you intend to use any of
the GNOME applications that can print. If you would like to develop
GNOME applications that can print you will also need to install the
gnome-print devel package.

%package -n libgnomeprint%{sover}
Summary: Printing libraries for GNOME.
Group: System Environment/Base
Requires(post,postun): /sbin/ldconfig

%description -n libgnomeprint%{sover}
This package contains the printing apparatus for GNOME, the complete
graphical desktop environment based entirely on free software.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/Libraries

Requires: %{name} = %{epoch}:%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Requires: gnome-print = %{epoch}:%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Requires: gdk-pixbuf-devel >= 0.7.0

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print-devel package
includes the libraries and include files needed for developing
applications that use the GNOME printing capabilities.

You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME print capabilities.
You do not need to install the gnome-print-devel package if you just
want to use the GNOME desktop environment.

%prep
%setup -q -n %{name}-%{version}

## upstream
## %patch -p1 -b .options
## upstream
## %patch1 -p1 -b .pixbufflags
%patch2 -p1 -b .nofontmaps
%patch3 -p1 -b .version
%patch4 -p1 -b .perfprint
%patch5 -p1 -b .kofont
%patch6 -p1 -b .nodupmakefile
%patch7 -p1 -b .freetypeh

tar zxf %{SOURCE2}

%build
libtoolize --copy --force
aclocal-1.4 -I macros
automake-1.4
autoconf
autoheader
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
./mkinstalldirs $RPM_BUILD_ROOT%{_datadir}/gnome-print/fonts
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/gnome/fonts
install -c fonts/*.font $RPM_BUILD_ROOT%{_datadir}/gnome-print/fonts
touch $RPM_BUILD_ROOT%{_sysconfdir}/gnome/fonts/gnome-print-rpm.fontmap
%find_lang %{name}

#Add redhat-update-gnome-font-install
cat > $RPM_BUILD_ROOT%{_bindir}/redhat-update-gnome-font-install << EOF
#!/bin/sh
/usr/bin/gnome-font-install                                             \
       --aliases=%{_datadir}/gnome-print/fonts/adobe-urw.font           \
       --target=%{_sysconfdir}/gnome/fonts/gnome-print-rpm.fontmap      \
       --recursive --clean                                              \
       /usr/share/X11/fonts/Type1                                   \
        %{_datadir}/fonts
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/redhat-update-gnome-font-install

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la \
	$RPM_BUILD_ROOT%{_datadir}/fonts/README.* \
	$RPM_BUILD_ROOT%{_datadir}/gnome/fonts

%clean
rm -rf $RPM_BUILD_ROOT

%post 
## This isn't really right, with the new way of doing things in 
## gnome-print 0.30, see installer/README.binaries, installer/README.installer
## (our temporary decision is to punt, though - those docs seem to suggest
## shipping gnome-print files with the font packages, which isn't very feasible.
## we need a solution below the GNOME level. also, this package requires
## the font packages, so the font packages can't require gnome-print.)

/usr/bin/redhat-update-gnome-font-install

%post -n libgnomeprint%{sover} -p /sbin/ldconfig
%postun -n libgnomeprint%{sover} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README installer/README.*
%{_bindir}/*
%{_datadir}/fonts/afms/adobe/*
%config %{_sysconfdir}/gnome/fonts
%{_datadir}/gnome-print/fonts
%dir %{_datadir}/gnome-print
%ghost %{_sysconfdir}/gnome/fonts/gnome-print-rpm.fontmap

%files -n libgnomeprint%{sover}
%defattr(-, root, root)

%dir %{_datadir}/gnome-print
%{_datadir}/gnome-print/profiles
%{_libdir}/lib*.so.%{sover}
%{_libdir}/lib*.so.%{sover}.*

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.sh
%{_includedir}/*/*

%changelog
* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 0.37-13
- BuildRequires: freetype-devel for freetype-config

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:0.37-12.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:0.37-12.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 18 2005 Bill Nottingham <notting@redhat.com> 1:0.37-11
- Fix references to obsolete /usr/X11R6 font paths

* Fri Mar  4 2005 David Zeuthen <davidz@redhat.com> 1:0.37-10
- Rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 16 2004 Mike A. Harris <mharris@redhat.com> 1:0.37-9
- Removed PreReq: XFree86 in order to make the package X11 implementation
  agnostic.  The spec file changelog doesn't indicate why that dependancy was
  present, and I couldn't deduce why, so it is possible whatever the reason
  it was added is no longer valid.  If there is a need, we can add a new dep
  back on a file or dir, or a virtual dependancy.
- Added Requires(post,postun): /sbin/ldconfig to libgnomeprint%%{sover}
  subpackage
- Added Requires(post): /usr/bin/redhat-update-gnome-font-install to main
  package

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
- Add gnome-print-0.37-freetypeh.patch to handle the new
  freetype includes system.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Aug 28 2003 Owen Taylor <otaylor@redhat.com> 1:0.37-7.1
- Ghost /etc/gnome/fonts/gnome-print-rpm.fontmap (#50270, Jonathan Kamens)

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 0.37-6
- Fix autoconf, configure.in

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb  7 2003 Akira TAGOH <tagoh@redhat.com> 0.37-4
- gnome-print-0.37-perfprint.patch: applied it again. (#62389)

* Wed Jan 29 2003 Nalin Dahyabhia <nalin@redhat.com> 0.37-3
- make codependencies release- and epoch-specific

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 19 2002 Jeremy Katz <katzj@redhat.com> 0.37-1
- update to 0.37
- drop perfprint patch -- it doesn't apply anymore and it hasn't been
  proposed to upstream

* Mon Dec 16 2002 Elliot Lee <sopwith@redhat.com> 0.35-9
- Rebuild

* Fri Jul 26 2002 Akira TAGOH <tagoh@redhat.com> 0.35-8
- gnome-print-0.35-kofont.patch: add the fallback font for Korean. (Bug#69769)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr  1 2002 Akira TAGOH <tagoh@redhat.com> 0.35-4
- gnome-print-0.35-perfprint.patch:
  - applied because improve a printing performance.
  - fix outputting (null) into PS file.

* Fri Mar 15 2002 Havoc Pennington <hp@redhat.com>
- create redhat-update-gnome-font-install in install not 
  post, doh. #61212

* Fri Mar  8 2002 Havoc Pennington <hp@redhat.com>
- 0.35
- don't make libgnomeprintNN require gnome-print, only the other way,
  avoiding circular dep #58156
- rebuild in new environment
- depend on automake-1.4 binary

* Mon Jan 21 2002 Havoc Pennington <hp@redhat.com>
- automake14
- cvs snap with "macros" dir included so we can run aclocal

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- rebuild to get proper gdk-pixbuf flags in printConf.sh

* Mon Oct  8 2001 Havoc Pennington <hp@redhat.com>
- use 0.30 tarball

* Sat Sep 22 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, with headers moved

* Wed Aug 15 2001 Owen Taylor <otaylor@redhat.com>
- Back out freetype change, for now, until we can get it in upstream.
- Move gnome-print/<ver>/profiles back to datadir, and remove the %config.
  Making them %config doesn't seem compatible with locating them
  in gnome-print/<ver>.

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-5
- no replace profiles.

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-4
- Move profiles directory to /etc/gnome-print/<ver>/profiles/

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-3
- Add freetype support patch. (Bug#50360)

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- Add missing directory

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.29
- Don't install run-gnome-font-install (#48466), run gnome-font-install directly.
- Add BuildPrereq and make -devel package require gdk-pixbuf-devel
- Make libgnomeprint package require gnome-print package; otherwise
  packages requiring libgnomeprint might not get a runtime environment
- Add Prereq on ghostscript, since run-gnome-font-install parses output of 'gs -h'

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Kill output from run-gnome-font-install
- s/Copyright/License/
- Add post/postun scripts for the libgnomeprint subpackage

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 20 2001 Jonathan Blandford <jrb@redhat.com>
- new version (0.28)

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- patch it to compile (didn't include locale.h when needed)
- use %%{_tmppath}

* Fri Feb 23 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed font problem for Japanese.
- Fixed library dependency on VFlib (Bug#28331)

* Wed Feb 21 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #27417, simple specfile %post fix.

* Sun Feb 18 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed PostScript broken.
- Added autoheader,automake,autoconf stuff.

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Tue Feb 06 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese patch for Gnumeric.
  Created dummy .afm.

* Mon Feb 05 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed gdk_fontset_load().
- Added Japanese patch for Gnumeric.

* Fri Feb 02 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.
  Fixed Print and Preview with Japanese.

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.25

* Sat Aug 19 2000 Preston Brown <pbrown@redhat.com>
- added "|| true" to %%post so that if font-install screws up we don't get a
  bad exit status.  gnome-font-install expects that the directory specified by
  HOME env. var is writable, but it isn't always if you install with 'sudo'
  or the equivalent.  bad. bad. bad.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- redirect %%post script output to /dev/null

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Spec file fixes
